Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class IgnoreDependencyTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.IgnoreDependencyTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, IgnoreDependencyType<T>

    public class IgnoreDependencyTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, IgnoreDependencyType<T>

This class implements the `ignore-dependencyType` xsd type

Original Documentation:

The ignore-dependency element removes an injection dependency

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`IgnoreDependencyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`IgnoreDependencyTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<IgnoreDependencyType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`InjectionTargetType<IgnoreDependencyType<T>>` | `injectionTarget()` Returns the `injection-target` element
`IgnoreDependencyType<T>` | `removeAllDescription()` Removes the `description` element
`IgnoreDependencyType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`IgnoreDependencyType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`IgnoreDependencyType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IgnoreDependencyTypeImpl

    public IgnoreDependencyTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### IgnoreDependencyTypeImpl

    public IgnoreDependencyTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public IgnoreDependencyType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `IgnoreDependencyType<T>`
  Returns:
    the current instance of `IgnoreDependencyType`

### setDescriptionList

    public IgnoreDependencyType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `IgnoreDependencyType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `IgnoreDependencyType`

### removeAllDescription

    public IgnoreDependencyType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `IgnoreDependencyType<T>`
  Returns:
    the current instance of `IgnoreDependencyType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `IgnoreDependencyType<T>`
  Returns:
    list of `description`

### removeAllInjectionTarget

    public IgnoreDependencyType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `IgnoreDependencyType<T>`
  Returns:
    the current instance of `IgnoreDependencyType`

### injectionTarget

    public InjectionTargetType<IgnoreDependencyType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `IgnoreDependencyType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<IgnoreDependencyType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `IgnoreDependencyType<T>`
  Returns:
    list of `injection-target`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD